package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag760;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT760Creator;

/**
 * @author wuzhe
 * @date 2023/2/23
 */
public class TagA22ACreator extends AbsTagCreate {

     private MT760Creator mt760Creator;

    public TagA22ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt760Creator = (MT760Creator) absMTCreator;
    }

    public  void creator()
    {
        String tagA22AValue = mt760Creator.getPurposeofMessageOfA();
        mt760Creator.set("22A", tagA22AValue);
    }
}
